---
title: "Dev Environment & VSCode Extensions"
date: 2020-03-23T04:28:28.367Z
draft: false
TableOfContents: true
weight: 60
---

Our preferred Development Environment is: [VS Code](https://code.visualstudio.com/)

This is our preferred way of list of VS Code extensions to help you in this project.

- [Git History](https://marketplace.visualstudio.com/items?itemName=donjayamanne.githistory)
- [GitLens](https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens)
- [Indent 4-to-2](https://marketplace.visualstudio.com/items?itemName=Compulim.indent4to2): For allowing to change codes that are spaced 4 into 2 (for JS, HTML, CSS work)
- [Javascript Semistandard](https://marketplace.visualstudio.com/items?itemName=flet.vscode-semistandard)
- [npm Intellisense](https://marketplace.visualstudio.com/items?itemName=christian-kohler.npm-intellisense)
- [Path Intellisense](https://marketplace.visualstudio.com/items?itemName=christian-kohler.path-intellisense)
- [Python](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- [StandardJS - Javascript Standard Style](https://marketplace.visualstudio.com/items?itemName=chenxsan.vscode-standardjs)
- [TSLint](https://marketplace.visualstudio.com/items?itemName=ms-vscode.vscode-typescript-tslint-plugin)
- [Visual Studio Code Commitizen Support](https://marketplace.visualstudio.com/items?itemName=KnisterPeter.vscode-commitizen)
- [YAML](https://marketplace.visualstudio.com/items?itemName=redhat.vscode-yaml)
